Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\Search\Common\FieldValueMapper\MultipleIntegerMapper Class Reference

Common multiple integer field value mapper implementation. More...

Inheritance diagram for eZ\Publish\Core\Search\Common\FieldValueMapper\MultipleIntegerMapper:

## Public Member Functions
| canMap (Field $field)
| Check if field can be mapped. More...
| map (Field $field)
| Map field value to a proper search engine representation. More...
Public Member Functions inherited from eZ\Publish\Core\Search\Common\FieldValueMapper
| canMap (Field $field)
| Check if field can be mapped. More...
| map (Field $field)
| Map field value to a proper search engine representation. More...

## Additional Inherited Members
Protected Member Functions inherited from eZ\Publish\Core\Search\Common\FieldValueMapper\IntegerMapper
| convert ($value)
| Convert to a proper search engine representation. More...

## Detailed Description

Common multiple integer field value mapper implementation.

Definition at line 15 of file MultipleIntegerMapper.php.

## Member Function Documentation

## ◆ canMap()

eZ\Publish\Core\Search\Common\FieldValueMapper\MultipleIntegerMapper::canMap | ( | Field | $field | ) |

Check if field can be mapped.

Parameters

  \eZ\Publish\SPI\Search\Field | $field |

Returns
  bool

Reimplemented from eZ\Publish\Core\Search\Common\FieldValueMapper\IntegerMapper.

Definition at line 24 of file MultipleIntegerMapper.php.

## ◆ map()

eZ\Publish\Core\Search\Common\FieldValueMapper\MultipleIntegerMapper::map | ( | Field | $field | ) |

Map field value to a proper search engine representation.

Parameters

  \eZ\Publish\SPI\Search\Field | $field |

Returns
  array

Reimplemented from eZ\Publish\Core\Search\Common\FieldValueMapper\IntegerMapper.

Definition at line 36 of file MultipleIntegerMapper.php.

References eZ\Publish\Core\Search\Common\FieldValueMapper\IntegerMapper\convert().

The documentation for this class was generated from the following file:

- MultipleIntegerMapper.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.